#
# spec file for package rubygem-hub
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-hub
Version:        1.12.4
Release:        7.3
%define mod_name hub
%define mod_full_name %{mod_name}-%{version}
# MANUAL
BuildRequires: bash-completion
BuildRequires: zsh
PreReq:        rubygem(%{mod_name})
#!BuildIgnore: rubygem(%{mod_name})
# /MANUAL
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ruby-macros >= 5
BuildRequires:  %{ruby}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  update-alternatives
Url:            http://hub.github.com/
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        %{mod_name}.bash_completion.sh
Source2:        %{mod_name}.zsh_completion
Source3:        gem2rpm.yml
Summary:        Command-line wrapper for git and GitHub
License:        MIT
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description
`hub` is a command line utility which adds GitHub knowledge to `git`.
It can used on its own or as a `git` wrapper.
Normal:
$ hub clone rtomayko/tilt
Expands to:
$ git clone git://github.com/rtomayko/tilt.git
Wrapping `git`:
$ git clone rack/rack
Expands to:
$ git clone git://github.com/rack/rack.git.

%prep

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="LICENSE README.md" \
  -f
# MANUAL
install -Dm0644 %{SOURCE1} %{buildroot}%{_datadir}/bash-completion/completions/%{mod_name}
install -Dm0644 %{SOURCE2} %{buildroot}%{_datadir}/zsh/site-functions/_%{mod_name}
gemdir="$(gem env gemdir)"
install -Dm444 %{buildroot}$gemdir/gems/%{mod_full_name}/man/%{mod_name}.1 %{buildroot}%{_mandir}/man1/%{mod_name}.1
# /MANUAL


%files
%defattr(-,root,root,-)
%{_mandir}/man1/%{mod_name}.1.gz

%package bash-completion
Summary:   Bash completion files for hub
PreReq:    rubygem(%{mod_name})
Requires:  bash-completion
BuildArch: noarch

# Requires:      rubygem-hub = 1.12.4
%description bash-completion
Bash command line completion support for hub

%files bash-completion
%defattr(-,root,root,-)
%{_datadir}/bash-completion/completions/%{mod_name}


%package zsh-completion
Summary:   Zsh completion files for hub
PreReq:    rubygem(%{mod_name})
Requires:  zsh
BuildArch: noarch

# Requires:      rubygem-hub = 1.12.4
%description zsh-completion
Zsh command line completion support for hub

%files zsh-completion
%defattr(-,root,root,-)
%{_datadir}/zsh/site-functions/_%{mod_name}


%gem_packages

%changelog
* Fri Aug 12 2016 tampakrap@opensuse.org
- Create -bash-completion and -zsh-completion subpackages
- Add zsh and bash-completion as build deps so that hub doesn't own their dirs
* Tue Feb 10 2015 coolo@suse.com
- Version bump 1.12.4:
  * Don't try to read existing hub token from GitHub API since that API feature
    is getting removed for security reasons. Instead, generate a new token each
    time including the current machine identifier.
  * Ruby 2.2.0 compatibility
  * Enable retrying entering 2FA code if previous one was invalid
  * Friendlier error messages when bad credentials were used
  * Encode special characters in branch names for compare command
  * Auto-private URLs in remote add when matching your own repos
* Fri Dec  5 2014 tampakrap@opensuse.org
- Copy the manpage from the correct dir
- Replace the PreReq with Requires, since the former creates circular dependency issue
* Sat Nov 29 2014 tampakrap@opensuse.org
- Install the manpage under %%{_mandir}
- Version bump 1.12.3:
  * Fix hub --noop clone output for repos user has push access to
  * Fix hub browse help output when not in any repo
  * Tweak URI implementation for compatibility with stdlib
  * Ensure branch names with funky characters are shell-escaped
* Fri Nov 28 2014 tampakrap@opensuse.org
- Fix the requires between the versioned and unversion packages
- Move the Provides to the versioned pkg
* Wed Nov 19 2014 tampakrap@opensuse.org
- Update specfile to the new gem2spec schema
* Sun Jul 20 2014 tampakrap@opensuse.org
- Version bump 1.12.2
  - 1.12.2 changelog:
  * Explicitly paginate just help text instead of all output
  * Doing so enables us to clear the screen reliably upon exiting the pager
    without risking single-page output being swallowed.
  * Don't allow man page width to exceed 120 characters
  * Show hub <command> -h short usage help on stdout
  * Fix hub browse on detached HEAD
  * Fix hub compare for branch names with slashes in them
  * Fix hub am for Enterprise URLs
  - 1.12.1 changelog:
  * Fix checking out a pull request when fork name is different than original
    repo
  * The repository name of the pull request head doesn't necessarily match the
    name of the project's repository. This can happen when a user forks a
    project but already has a repository of the same name.
  * Use non-predictable filename for downloaded patch file
  * Since the /tmp directory is readable by everybody on Unix, and since the
    patch name could be public or easy to guess, a attacker could create a
    symlink to a file writable by the user running hub, which would be replaced
    by the patch.
  * This has been assigned CVE-2014-0177.
  * Fix API 422 error: Duplicate value for "description"
  * Fix "invalid byte sequence" errors in pull-request
  * If the user's LANG environment variable doesn't include "UTF-8", the
    default external encoding in Ruby will be US-ASCII and as such, string
    operations will fail dealing with pull request message or changelog that
    contains non-ASCII characters.
  * Respect git "core.commentchar" setting in pull-request message
  * Fix displaying output of hub --noop pull-request
  * In attempts to make multi-page output from hub get cleared when exiting the
    pager in the terminal, I've broken outputting short bits of text such as
  - -noop output, which would accidentally get swallowed. This fixes that
    output, but reverts clearing the terminal scrollback when exiting hub help
    hub, for instance. I will revisit this in the future.
  * Don't re-wrap default pull request message taken from commit
  * Re-wrapping to 78 chars was dangerous since it could lead to moving a #-reference
    to the beginning of a line which would then get interpreted as a comment.
* Fri Jun 13 2014 tampakrap@opensuse.org
- Rewrite of specfile, fix all installation paths
- Use gem macros
- Install manpage
- Install zsh/bash completion files
- Create subpackage -doc
- Run spec-cleaner
* Tue Mar 11 2014 dmacvicar@suse.de
- initial package for 1.12.0
